Summary:	An interactive process viewer
Summary(hu.UTF-8):	Egy interaktív processz megjelenítő
Summary(pl.UTF-8):	Interaktywna przeglądarka procesów
Name:		htop
Version:	3.4.0
Release:	1%{?tld}
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/htop-dev/htop/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	bd4e4bded1a286a3905a305d702b79ea
URL:		https://htop.dev/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	gcc >= 5:3.0
BuildRequires:	libcap-devel >= 2.21
BuildRequires:	libnl-devel >= 3.0
BuildRequires:	libunwind-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libcap-libs >= 2.21
Requires:	libnl >= 3.0
Suggests:	lm_sensors-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
htop is an interactive text-mode process viewer for Linux. It aims to
be a better 'top'.

%description -l hu.UTF-8
htop egy interaktív szöveges módú processz megjelenítő Linuxra.
Lényegében egy jobb 'top' szeretne lenni.

%description -l pl.UTF-8
htop jest interaktywną, tekstową przeglądarką procesów dla Linuksa.
Jej celem jest bycie lepszą odmianą programu 'top'.

%prep
%setup -q

# don't require /proc at build time
sed 's@^[[:space:]]*AC_CHECK_FILE($PROCDIR.*@:@' -i configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-openvz \
	--enable-unicode \
	--enable-vserver
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/htop
%{_desktopdir}/htop.desktop
%{_iconsdir}/hicolor/scalable/apps/htop.svg
%{_pixmapsdir}/htop.png
%{_mandir}/man1/htop.1*
%changelog
* Tue Mar 25 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/htop.git;a=log;h=master

* Tue Mar 11 2025 Jan Palus <atler@pld-linux.org> 7fc1f3f
- up to 3.4.0

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> 2074962
- up to 3.3.0

* Sat Feb 04 2023 Jan Palus <atler@pld-linux.org> ef58d9b
- up to 3.2.2

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 9c0acc0
- up to 3.2.1

* Mon May 02 2022 Jan Palus <atler@pld-linux.org> 801a26a
- up to 3.2.0

* Tue Nov 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 5d71aa7
- libtool is not used now

* Tue Nov 30 2021 Jan Palus <atler@pld-linux.org> 5b3ca00
- up to 3.1.2

* Fri Oct 15 2021 Jan Palus <atler@pld-linux.org> f90c48a
- up to 3.1.1

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> 4046122
- S: lm_sensors-libs (dlopend for cpu temp)

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> 439ea37
- up to 3.1.0

* Tue Jan 12 2021 Jan Palus <atler@pld-linux.org> 3a171ef
- up to 3.0.5

* Tue Dec 22 2020 Jan Palus <atler@pld-linux.org> f0d79c9
- up to 3.0.4

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> 9b7a0f9
- up to 3.0.3

* Thu Sep 17 2020 Jan Palus <atler@pld-linux.org> 3e76444
- up to 3.0.2

* Fri Sep 04 2020 Jan Palus <atler@pld-linux.org> d46390c
- remove field titles patch dropped from spec in 0bb09b3

* Fri Sep 04 2020 Jan Palus <atler@pld-linux.org> 8131f37
- up to 3.0.1

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> 2032e93
- up to 3.0.0

* Mon Apr 16 2018 Jan Palus <atler@pld-linux.org> f550363
- up to 2.2.0

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> e2d5d0e
- up to 2.1.0

* Sat Jul 23 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ec144be
- updated to 2.0.2

